Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pyup: Scheduled weekly dependency update for week 11 #5483

Merged
merged 3 commits into from Mar 20, 2019

Conversation

@pyup-bot
Copy link
Contributor

@pyup-bot pyup-bot commented Mar 18, 2019

Update pyyaml from 3.13 to 5.1.

The bot wasn't able to find a changelog for this release. Got an idea?

Links

Update stripe from 2.21.0 to 2.22.0.

Changelog

2.22.0

* [541](https://github.com/stripe/stripe-python/pull/541) Add `stripe.util.convert_to_dict` method for converting `StripeObject` instances to regular `dict`s
Links

Update django-taggit from 0.24.0 to 1.0.0.

Changelog

1.0.0

~~~~~~~~~~~~~~~~~~
* **Backwards incompatible:** Remove support for Python 2.
* Added ``has_changed()`` method to ``taggit.forms.TagField``.
* Added multi-column unique constraint to model ``TaggedItem`` on fields
``content_type``, ``object_id``, and ``tag``. Databases that contain
duplicates will need to add a data migration to resolve these duplicates.
* Fixed ``TaggableManager.most_common()`` to always evaluate lazily. Allows
placing a ``.most_common()`` query at the top level of a module.
* Fixed setting the ``related_name`` on a tags manager that exists on a model
named ``Name``.
Links
stsewd
stsewd approved these changes Mar 19, 2019
@@ -21,7 +21,7 @@ jsonfield==2.0.2
requests==2.21.0
requests-toolbelt==0.9.1
slumber==0.7.1
pyyaml==3.13
pyyaml==5.1
Copy link
Member

@stsewd stsewd Mar 19, 2019

Looks like they skipped the 4 here :)

https://github.com/yaml/pyyaml/blob/e471e86bf6dabdad45a1438c20a4a5c033eb9034/CHANGES#L7-L34

Nothing breaking, just remove support for old versions of python and start supporting 3.7, those are the biggest changes.

@@ -84,7 +84,7 @@ django-textclassifier==1.0
django-annoying==0.10.4
django-messages-extends==0.6.0
djangorestframework-jsonp==1.0.2
django-taggit==0.24.0
django-taggit==1.0.0
Copy link
Member

@stsewd stsewd Mar 19, 2019

Removed support for python 2 https://github.com/jazzband/django-taggit/blob/master/CHANGELOG.rst#100-2019-03-17. The other changes are from stuff we don't use

@humitos humitos merged commit 3156083 into master Mar 20, 2019
1 check passed
@delete-merged-branch delete-merged-branch bot deleted the pyup/scheduled-update-2019-03-18 branch Mar 20, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants